package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name="tb_lib_book_switch_info")
public class LibBookSwitchInfo extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7126493882431317352L;
	
	private String libId ;
	/**
	 *1带书离馆2-送书到馆
	 */
	private Integer type;

	/**
	 *创建时间
	 */
	private Date createTime ;
	/**
	 *只保存detailId,需要详情数据再去查
	 */
	private String bookDetailId;

	/**
	 *操作人
	 */
	private String userId;

	/**
	 *1-扫数记录 2-调书记录
	 */
	private Integer state;
	/**
	 *调书批次id 与locking表对应
	 */
	private String batchId;
	
	
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getBookDetailId() {
		return bookDetailId;
	}
	public void setBookDetailId(String bookDetailId) {
		this.bookDetailId = bookDetailId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}
}
